## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::ImportKit::Container::Model::Mesh Class Reference

Model mesh, contains actual geometry. More...

`#include <cstool/importkit.h>`

List of all members.

## Public Member Functions

size_t | GetMaterial () const
| Mesh material.
const float * | GetNormals () const
| Return normals.
const float * | GetTexCoords () const
| Return texture coordinates.
size_t | GetTriangleCount () const
| Get the number of triangles.
const unsigned int * | GetTriangles () const
| Get triangle.
unsigned int | GetVertexCount () const
| Return numver of vertices.
const float * | GetVertices () const
| Return vertices.

## Protected Attributes

size_t | material
float * | normals
float * | texcoords
size_t | triCount
unsigned int * | tris
unsigned int | vertexCount
float * | verts

## Friends

class | ImportKitImpl::Glue
class | Model

## Detailed Description

Model mesh, contains actual geometry.

Definition at line 74 of file importkit.h.

## Member Function Documentation

size_t CrystalSpace::ImportKit::Container::Model::Mesh::GetMaterial | ( |  | ) | const`[inline]`

| Mesh material. Returns an index that can be used with Container::GetMaterial(). Definition at line 118 of file importkit.h.

const float* CrystalSpace::ImportKit::Container::Model::Mesh::GetNormals | ( |  | ) | const`[inline]`

| Return normals. The returned buffer contains 3 entries for nx,ny,nz of each vertex. Definition at line 104 of file importkit.h.

const float* CrystalSpace::ImportKit::Container::Model::Mesh::GetTexCoords | ( |  | ) | const`[inline]`

| Return texture coordinates. The returned buffer contains 2 entries for u,v of each vertex. Definition at line 99 of file importkit.h.

size_t CrystalSpace::ImportKit::Container::Model::Mesh::GetTriangleCount | ( |  | ) | const`[inline]`

| Get the number of triangles. Definition at line 107 of file importkit.h.

const unsigned int* CrystalSpace::ImportKit::Container::Model::Mesh::GetTriangles | ( |  | ) | const`[inline]`

| Get triangle. The returned buffer contains the indices into the vertex etc. arrays for each corner. Definition at line 112 of file importkit.h.

unsigned int CrystalSpace::ImportKit::Container::Model::Mesh::GetVertexCount | ( |  | ) | const`[inline]`

| Return numver of vertices. Definition at line 89 of file importkit.h.

const float* CrystalSpace::ImportKit::Container::Model::Mesh::GetVertices | ( |  | ) | const`[inline]`

| Return vertices. The returned buffer contains 3 entries for x,y,z of each vertex. Definition at line 94 of file importkit.h.

The documentation for this class was generated from the following file:

- cstool/importkit.h